Subject: bug#42912: closed (Re: bug#42912: cran.git importer fails because with-store swallows extra values.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Aug 2020 07:37:02 +0000

Your bug report

#42912: cran.git importer fails because with-store swallows extra values.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42912: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42912
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42912: cran.git importer fails because with-store swallows extra values.
From: Ricardo Wurmus <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sat, 29 Aug 2020 09:36:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> I believe 3d9ea605c8dfb7fc43689e12975218b032b3175a fixes this, though I
> don’t know how to test it.
>
> If you can confirm it does, feel free to close this bug.

It looks like it’s indeed fixed.  Thank you!

I tested with this command:

    guix import cran -a git https://github.com/immunogenomics/harmony

-- 
Ricardo

Subject: cran.git importer fails because with-store swallows extra values.
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Tue, 18 Aug 2020 11:50:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The “cran” importer has support for git and hg repositories.  This no
longer works, because the “download” is supposed to return multiple
values.  Seemingly due to the use of “with-store” it no longer returns
multiple values, so the “git” and “hg” archives no longer work.

-- 
Ricardo